Console Output

Started by upstream project "CE_gpfit_PR_pylint" build number 189
originally caused by:
 GitHub pull request #110 of commit fe10752e625ef237b036e9b9702d11f26b86cc87, no merge conflicts.
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on reynolds in workspace /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds
The recommended git tool is: NONE
No credentials specified
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/gpfit
 > git init /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gpfit
 > git --version # timeout=10
 > git --version # 'git version 2.25.1'
 > git fetch --tags --force --progress -- https://github.com/convexengineering/gpfit +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gpfit # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gpfit # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gpfit
 > git fetch --tags --force --progress -- https://github.com/convexengineering/gpfit +refs/pull/*:refs/remotes/origin/pr/* +refs/heads/master:refs/remotes/origin/master # timeout=10
Merging Revision 04868f72147fd69cfa14fe49e1ef258b23287014 (refs/remotes/origin/pr/110/merge) to origin/master, UserMergeOptions{mergeRemote='origin', mergeTarget='master', mergeStrategy='DEFAULT', fastForwardMode='FF'}
 > git rev-parse origin/master^{commit} # timeout=10
 > git config core.sparsecheckout # timeout=10
 > git checkout -f origin/master # timeout=3
 > git remote # timeout=10
 > git config --get remote.origin.url # timeout=10
 > git merge --ff 04868f72147fd69cfa14fe49e1ef258b23287014 # timeout=10
 > git rev-parse HEAD^{commit} # timeout=10
Seen branch in repository origin/another_plotfit_fix
Seen branch in repository origin/citesting
Seen branch in repository origin/doctest
Seen branch in repository origin/issue_95
Seen branch in repository origin/master
Seen branch in repository origin/naming
Seen branch in repository origin/plotfit
Seen branch in repository origin/plotfitfix
Seen branch in repository origin/pr/105/head
Seen branch in repository origin/pr/110/head
Seen branch in repository origin/pr/110/merge
Seen branch in repository origin/pr/13/head
Seen branch in repository origin/pr/18/head
Seen branch in repository origin/pr/18/merge
Seen branch in repository origin/pr/19/head
Seen branch in repository origin/pr/19/merge
Seen branch in repository origin/pr/20/head
Seen branch in repository origin/pr/20/merge
Seen branch in repository origin/pr/21/head
Seen branch in repository origin/pr/23/head
Seen branch in repository origin/pr/26/head
Seen branch in repository origin/pr/27/head
Seen branch in repository origin/pr/31/head
Seen branch in repository origin/pr/32/head
Seen branch in repository origin/pr/32/merge
Seen branch in repository origin/pr/34/head
Seen branch in repository origin/pr/40/head
Seen branch in repository origin/pr/41/head
Seen branch in repository origin/pr/42/head
Seen branch in repository origin/pr/49/head
Seen branch in repository origin/pr/51/head
Seen branch in repository origin/pr/52/head
Seen branch in repository origin/pr/53/head
Seen branch in repository origin/pr/56/head
Seen branch in repository origin/pr/58/head
Seen branch in repository origin/pr/58/merge
Seen branch in repository origin/pr/59/head
Seen branch in repository origin/pr/60/head
Seen branch in repository origin/pr/61/head
Seen branch in repository origin/pr/68/head
Seen branch in repository origin/pr/70/head
Seen branch in repository origin/pr/71/head
Seen branch in repository origin/pr/79/head
Seen branch in repository origin/pr/80/head
Seen branch in repository origin/pr/82/head
Seen branch in repository origin/pr/85/head
Seen branch in repository origin/pr/86/head
Seen branch in repository origin/pr/91/head
Seen branch in repository origin/pr/96/head
Seen branch in repository origin/pr/97/head
Seen branch in repository origin/pr/99/head
Seen branch in repository origin/pytest_figs
Seen branch in repository origin/python3
Seen branch in repository origin/python_3_upgrade
Seen branch in repository origin/tryagain
Seen branch in repository origin/v1
Seen 56 remote branches
 > git show-ref --tags -d # timeout=10
Checking out Revision 04868f72147fd69cfa14fe49e1ef258b23287014 (origin/pr/110/merge, origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 04868f72147fd69cfa14fe49e1ef258b23287014 # timeout=3
Commit message: "Merge fe10752e625ef237b036e9b9702d11f26b86cc87 into 9a09cd1b201c9f5263efee843de44bfe7d1e9b6f"
Using 'Changelog to branch' strategy.
The recommended git tool is: NONE
No credentials specified
 > git rev-parse 04868f72147fd69cfa14fe49e1ef258b23287014^{commit} # timeout=10
The recommended git tool is: NONE
No credentials specified
[GitCheckoutListener] Recording commits of 'git https://github.com/convexengineering/gpfit'
[GitCheckoutListener] Found previous build 'CE_gpfit_PR_pylint/buildnode=reynolds #188' that contains recorded Git commits
[GitCheckoutListener] -> Starting recording of new commits since '04868f7'
[GitCheckoutListener] -> Using head commit '04868f7' as starting point
[GitCheckoutListener] -> Git commit decorator successfully obtained 'hudson.plugins.git.browser.GithubWeb@18d97484' to render commit links
[GitCheckoutListener] -> No new commits found
Run condition [Execution node ] enabling prebuild for step [Execute shell]
[Execution node] check if [reynolds] is in [[macys, macys_VM, reynolds]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[reynolds] $ /bin/bash -xe /tmp/jenkins10372076760198823526.sh
+ git clone ssh://acdl.mit.edu/home/svnroot/JenkinsGPkit
Cloning into 'JenkinsGPkit'...
+ source /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/JenkinsGPkit/gpfit_pylint.sh
++ source /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/JenkinsGPkit/all_machines.sh
+++ export PYTHONHASHSEED=0
+++ PYTHONHASHSEED=0
+++ echo 'Python hash seed set to: 0'
Python hash seed set to: 0
+++ [[ reynolds == *macys* ]]
+++ [[ reynolds == *reynolds* ]]
+++ export CVXOPT_SUITESPARSE_INC_DIR=/usr/include/suitesparse
+++ CVXOPT_SUITESPARSE_INC_DIR=/usr/include/suitesparse
+++ export PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+++ PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+++ virtualenv --python=python3 /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins
created virtual environment CPython3.8.10.final.0-64 in 130ms
  creator CPython3Posix(dest=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins, clear=False, global=False)
  seeder FromAppData(download=False, pip=latest, setuptools=latest, wheel=latest, pkg_resources=latest, via=copy, app_data_dir=/home/jenkins/.local/share/virtualenv/seed-app-data/v1.0.1.debian.1)
  activators BashActivator,CShellActivator,FishActivator,PowerShellActivator,PythonActivator,XonshActivator
+++ source /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/activate
++++ '[' /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/activate = /tmp/jenkins10372076760198823526.sh ']'
++++ deactivate nondestructive
++++ unset -f pydoc
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ '[' -n /bin/bash ']'
++++ hash -r
++++ '[' -z '' ']'
++++ unset VIRTUAL_ENV
++++ '[' '!' nondestructive = nondestructive ']'
++++ VIRTUAL_ENV=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins
++++ export VIRTUAL_ENV
++++ _OLD_VIRTUAL_PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
++++ PATH=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin:/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
++++ export PATH
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ _OLD_VIRTUAL_PS1=
++++ '[' x '!=' x ']'
+++++ basename /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins
++++ PS1='(venv_jenkins) '
++++ export PS1
++++ alias pydoc
++++ true
++++ '[' -n /bin/bash ']'
++++ hash -r
+++ ls /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds
docs
gpfit
JenkinsGPkit
LICENSE
MANIFEST.in
pylint.sh
README.md
setup.py
venv_jenkins
++++ which pip
+++ export PIP=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip
+++ PIP=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip
+++ pip_install pip
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade pip
Collecting pip
  Using cached pip-21.3.1-py3-none-any.whl (1.7 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.0.2
    Uninstalling pip-20.0.2:
      Successfully uninstalled pip-20.0.2
Successfully installed pip-21.3.1
++ export optimizer=cvxopt
++ optimizer=cvxopt
++ source /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/JenkinsGPkit/cvxopt_installs.sh
+++ [[ cvxopt == cvxopt ]]
+++ pip_install cvxopt
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade cvxopt
Collecting cvxopt
  Using cached cvxopt-1.2.7-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (13.0 MB)
Installing collected packages: cvxopt
Successfully installed cvxopt-1.2.7
+++ python -c 'import cvxopt'
+++ export GPKITSOLVERS=cvxopt
+++ GPKITSOLVERS=cvxopt
+++ COVERAGE_OMIT='gpkit/solvers/mosek*'
++ source /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/JenkinsGPkit/pip_installs_base.sh
+++ pip_install adce
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade adce
Collecting adce
  Using cached adce-1.3.3-py3-none-any.whl
Installing collected packages: adce
Successfully installed adce-1.3.3
+++ pip_install unittest-xml-reporting
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade unittest-xml-reporting
Collecting unittest-xml-reporting
  Using cached unittest_xml_reporting-3.0.4-py2.py3-none-any.whl (19 kB)
Installing collected packages: unittest-xml-reporting
Successfully installed unittest-xml-reporting-3.0.4
+++ pip_install pandas
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade pandas
Collecting pandas
  Using cached pandas-1.3.4-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (11.5 MB)
Collecting pytz>=2017.3
  Using cached pytz-2021.3-py2.py3-none-any.whl (503 kB)
Collecting numpy>=1.17.3
  Using cached numpy-1.21.3-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (15.7 MB)
Collecting python-dateutil>=2.7.3
  Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting six>=1.5
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Installing collected packages: six, pytz, python-dateutil, numpy, pandas
Successfully installed numpy-1.21.3 pandas-1.3.4 python-dateutil-2.8.2 pytz-2021.3 six-1.16.0
+++ pip_install matplotlib
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade matplotlib
Collecting matplotlib
  Using cached matplotlib-3.4.3-cp38-cp38-manylinux1_x86_64.whl (10.3 MB)
Collecting kiwisolver>=1.0.1
  Using cached kiwisolver-1.3.2-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (1.2 MB)
Requirement already satisfied: numpy>=1.16 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib) (1.21.3)
Collecting cycler>=0.10
  Using cached cycler-0.10.0-py2.py3-none-any.whl (6.5 kB)
Collecting pillow>=6.2.0
  Using cached Pillow-8.4.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (3.1 MB)
Collecting pyparsing>=2.2.1
  Using cached pyparsing-3.0.1-py3-none-any.whl (96 kB)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib) (2.8.2)
Requirement already satisfied: six in ./venv_jenkins/lib/python3.8/site-packages (from cycler>=0.10->matplotlib) (1.16.0)
Installing collected packages: pyparsing, pillow, kiwisolver, cycler, matplotlib
Successfully installed cycler-0.10.0 kiwisolver-1.3.2 matplotlib-3.4.3 pillow-8.4.0 pyparsing-3.0.1
+++ pip_install coverage
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade coverage
Collecting coverage
  Using cached coverage-6.0.2-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (256 kB)
Installing collected packages: coverage
Successfully installed coverage-6.0.2
+++ pip_install ipywidgets
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade ipywidgets
Collecting ipywidgets
  Using cached ipywidgets-7.6.5-py2.py3-none-any.whl (121 kB)
Collecting traitlets>=4.3.1
  Using cached traitlets-5.1.1-py3-none-any.whl (102 kB)
Collecting nbformat>=4.2.0
  Using cached nbformat-5.1.3-py3-none-any.whl (178 kB)
Collecting widgetsnbextension~=3.5.0
  Using cached widgetsnbextension-3.5.1-py2.py3-none-any.whl (2.2 MB)
Collecting ipython>=4.0.0
  Using cached ipython-7.28.0-py3-none-any.whl (788 kB)
Collecting ipykernel>=4.5.1
  Using cached ipykernel-6.4.2-py3-none-any.whl (124 kB)
Collecting jupyterlab-widgets>=1.0.0
  Using cached jupyterlab_widgets-1.0.2-py3-none-any.whl (243 kB)
Collecting ipython-genutils~=0.2.0
  Using cached ipython_genutils-0.2.0-py2.py3-none-any.whl (26 kB)
Collecting jupyter-client<8.0
  Using cached jupyter_client-7.0.6-py3-none-any.whl (125 kB)
Collecting tornado<7.0,>=4.2
  Using cached tornado-6.1-cp38-cp38-manylinux2010_x86_64.whl (427 kB)
Collecting matplotlib-inline<0.2.0,>=0.1.0
  Using cached matplotlib_inline-0.1.3-py3-none-any.whl (8.2 kB)
Collecting debugpy<2.0,>=1.0.0
  Using cached debugpy-1.5.1-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.9 MB)
Collecting backcall
  Using cached backcall-0.2.0-py2.py3-none-any.whl (11 kB)
Collecting prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0
  Using cached prompt_toolkit-3.0.21-py3-none-any.whl (374 kB)
Collecting pygments
  Using cached Pygments-2.10.0-py3-none-any.whl (1.0 MB)
Collecting pexpect>4.3
  Using cached pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting decorator
  Using cached decorator-5.1.0-py3-none-any.whl (9.1 kB)
Collecting jedi>=0.16
  Using cached jedi-0.18.0-py2.py3-none-any.whl (1.4 MB)
Collecting pickleshare
  Using cached pickleshare-0.7.5-py2.py3-none-any.whl (6.9 kB)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets) (44.0.0)
Collecting jupyter-core
  Using cached jupyter_core-4.8.2-py3-none-any.whl (86 kB)
Collecting jsonschema!=2.5.0,>=2.4
  Using cached jsonschema-4.1.2-py3-none-any.whl (69 kB)
Collecting notebook>=4.4.1
  Using cached notebook-6.4.5-py3-none-any.whl (9.9 MB)
Collecting parso<0.9.0,>=0.8.0
  Using cached parso-0.8.2-py2.py3-none-any.whl (94 kB)
Collecting attrs>=17.4.0
  Using cached attrs-21.2.0-py2.py3-none-any.whl (53 kB)
Collecting pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0
  Using cached pyrsistent-0.18.0-cp38-cp38-manylinux1_x86_64.whl (118 kB)
Collecting nest-asyncio>=1.5
  Using cached nest_asyncio-1.5.1-py3-none-any.whl (5.0 kB)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets) (2.8.2)
Collecting pyzmq>=13
  Using cached pyzmq-22.3.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.1 MB)
Collecting entrypoints
  Using cached entrypoints-0.3-py2.py3-none-any.whl (11 kB)
Collecting Send2Trash>=1.5.0
  Using cached Send2Trash-1.8.0-py3-none-any.whl (18 kB)
Collecting nbconvert
  Using cached nbconvert-6.2.0-py3-none-any.whl (553 kB)
Collecting terminado>=0.8.3
  Using cached terminado-0.12.1-py3-none-any.whl (15 kB)
Collecting jinja2
  Using cached Jinja2-3.0.2-py3-none-any.whl (133 kB)
Collecting argon2-cffi
  Using cached argon2_cffi-21.1.0-cp35-abi3-manylinux_2_5_x86_64.manylinux1_x86_64.whl (96 kB)
Collecting prometheus-client
  Using cached prometheus_client-0.11.0-py2.py3-none-any.whl (56 kB)
Collecting ptyprocess>=0.5
  Using cached ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting wcwidth
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets) (1.16.0)
Collecting cffi>=1.0.0
  Using cached cffi-1.15.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (446 kB)
Collecting MarkupSafe>=2.0
  Using cached MarkupSafe-2.0.1-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (30 kB)
Collecting pandocfilters>=1.4.1
  Using cached pandocfilters-1.5.0-py2.py3-none-any.whl (8.7 kB)
Collecting bleach
  Using cached bleach-4.1.0-py2.py3-none-any.whl (157 kB)
Collecting defusedxml
  Using cached defusedxml-0.7.1-py2.py3-none-any.whl (25 kB)
Collecting mistune<2,>=0.8.1
  Using cached mistune-0.8.4-py2.py3-none-any.whl (16 kB)
Collecting nbclient<0.6.0,>=0.5.0
  Using cached nbclient-0.5.4-py3-none-any.whl (66 kB)
Collecting jupyterlab-pygments
  Using cached jupyterlab_pygments-0.1.2-py2.py3-none-any.whl (4.6 kB)
Collecting testpath
  Using cached testpath-0.5.0-py3-none-any.whl (84 kB)
Collecting pycparser
  Using cached pycparser-2.20-py2.py3-none-any.whl (112 kB)
Collecting webencodings
  Using cached webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Collecting packaging
  Using cached packaging-21.0-py3-none-any.whl (40 kB)
Requirement already satisfied: pyparsing>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets) (3.0.1)
Installing collected packages: traitlets, pyrsistent, attrs, wcwidth, tornado, pyzmq, ptyprocess, parso, nest-asyncio, jupyter-core, jsonschema, ipython-genutils, entrypoints, webencodings, pygments, pycparser, prompt-toolkit, pickleshare, pexpect, packaging, nbformat, matplotlib-inline, MarkupSafe, jupyter-client, jedi, decorator, backcall, testpath, pandocfilters, nbclient, mistune, jupyterlab-pygments, jinja2, ipython, defusedxml, debugpy, cffi, bleach, terminado, Send2Trash, prometheus-client, nbconvert, ipykernel, argon2-cffi, notebook, widgetsnbextension, jupyterlab-widgets, ipywidgets
Successfully installed MarkupSafe-2.0.1 Send2Trash-1.8.0 argon2-cffi-21.1.0 attrs-21.2.0 backcall-0.2.0 bleach-4.1.0 cffi-1.15.0 debugpy-1.5.1 decorator-5.1.0 defusedxml-0.7.1 entrypoints-0.3 ipykernel-6.4.2 ipython-7.28.0 ipython-genutils-0.2.0 ipywidgets-7.6.5 jedi-0.18.0 jinja2-3.0.2 jsonschema-4.1.2 jupyter-client-7.0.6 jupyter-core-4.8.2 jupyterlab-pygments-0.1.2 jupyterlab-widgets-1.0.2 matplotlib-inline-0.1.3 mistune-0.8.4 nbclient-0.5.4 nbconvert-6.2.0 nbformat-5.1.3 nest-asyncio-1.5.1 notebook-6.4.5 packaging-21.0 pandocfilters-1.5.0 parso-0.8.2 pexpect-4.8.0 pickleshare-0.7.5 prometheus-client-0.11.0 prompt-toolkit-3.0.21 ptyprocess-0.7.0 pycparser-2.20 pygments-2.10.0 pyrsistent-0.18.0 pyzmq-22.3.0 terminado-0.12.1 testpath-0.5.0 tornado-6.1 traitlets-5.1.1 wcwidth-0.2.5 webencodings-0.5.1 widgetsnbextension-3.5.1
+++ pip_install ipysankeywidget
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade ipysankeywidget
Collecting ipysankeywidget
  Using cached ipysankeywidget-0.4.1-py2.py3-none-any.whl (1.2 MB)
Requirement already satisfied: ipywidgets>=7.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipysankeywidget) (7.6.5)
Requirement already satisfied: traitlets>=4.3.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: nbformat>=4.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.1.3)
Requirement already satisfied: widgetsnbextension~=3.5.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (3.5.1)
Requirement already satisfied: ipython>=4.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (7.28.0)
Requirement already satisfied: ipykernel>=4.5.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (6.4.2)
Requirement already satisfied: jupyterlab-widgets>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (1.0.2)
Requirement already satisfied: ipython-genutils~=0.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: jupyter-client<8.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (7.0.6)
Requirement already satisfied: tornado<7.0,>=4.2 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (6.1)
Requirement already satisfied: matplotlib-inline<0.2.0,>=0.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.3)
Requirement already satisfied: debugpy<2.0,>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.5.1)
Requirement already satisfied: backcall in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.21)
Requirement already satisfied: pygments in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (2.10.0)
Requirement already satisfied: pexpect>4.3 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (4.8.0)
Requirement already satisfied: decorator in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (5.1.0)
Requirement already satisfied: jedi>=0.16 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.0)
Requirement already satisfied: pickleshare in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.5)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (44.0.0)
Requirement already satisfied: jupyter-core in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (4.8.2)
Requirement already satisfied: jsonschema!=2.5.0,>=2.4 in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (4.1.2)
Requirement already satisfied: notebook>=4.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (6.4.5)
Requirement already satisfied: parso<0.9.0,>=0.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from jedi>=0.16->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.2)
Requirement already satisfied: attrs>=17.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (21.2.0)
Requirement already satisfied: pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.0)
Requirement already satisfied: nest-asyncio>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.5.1)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (2.8.2)
Requirement already satisfied: pyzmq>=13 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (22.3.0)
Requirement already satisfied: entrypoints in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.3)
Requirement already satisfied: Send2Trash>=1.5.0 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (1.8.0)
Requirement already satisfied: nbconvert in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (6.2.0)
Requirement already satisfied: terminado>=0.8.3 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.12.1)
Requirement already satisfied: jinja2 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.2)
Requirement already satisfied: argon2-cffi in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (21.1.0)
Requirement already satisfied: prometheus-client in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.11.0)
Requirement already satisfied: ptyprocess>=0.5 in ./venv_jenkins/lib/python3.8/site-packages (from pexpect>4.3->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.0)
Requirement already satisfied: wcwidth in ./venv_jenkins/lib/python3.8/site-packages (from prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.5)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.16.0)
Requirement already satisfied: cffi>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (1.15.0)
Requirement already satisfied: MarkupSafe>=2.0 in ./venv_jenkins/lib/python3.8/site-packages (from jinja2->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (2.0.1)
Requirement already satisfied: pandocfilters>=1.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (1.5.0)
Requirement already satisfied: bleach in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (4.1.0)
Requirement already satisfied: defusedxml in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.1)
Requirement already satisfied: mistune<2,>=0.8.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.4)
Requirement already satisfied: nbclient<0.6.0,>=0.5.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.4)
Requirement already satisfied: jupyterlab-pygments in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.1.2)
Requirement already satisfied: testpath in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.0)
Requirement already satisfied: pycparser in ./venv_jenkins/lib/python3.8/site-packages (from cffi>=1.0.0->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (2.20)
Requirement already satisfied: webencodings in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.1)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (21.0)
Requirement already satisfied: pyparsing>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert->notebook>=4.4.1->widgetsnbextension~=3.5.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.1)
Installing collected packages: ipysankeywidget
Successfully installed ipysankeywidget-0.4.1
+++ pip_install plotly
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade plotly
Collecting plotly
  Using cached plotly-5.3.1-py2.py3-none-any.whl (23.9 MB)
Requirement already satisfied: six in ./venv_jenkins/lib/python3.8/site-packages (from plotly) (1.16.0)
Collecting tenacity>=6.2.0
  Using cached tenacity-8.0.1-py3-none-any.whl (24 kB)
Installing collected packages: tenacity, plotly
Successfully installed plotly-5.3.1 tenacity-8.0.1
+++ pip_install pytest
+++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade pytest
Collecting pytest
  Using cached pytest-6.2.5-py3-none-any.whl (280 kB)
Collecting toml
  Using cached toml-0.10.2-py2.py3-none-any.whl (16 kB)
Collecting iniconfig
  Using cached iniconfig-1.1.1-py2.py3-none-any.whl (5.0 kB)
Collecting py>=1.8.2
  Using cached py-1.10.0-py2.py3-none-any.whl (97 kB)
Requirement already satisfied: attrs>=19.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from pytest) (21.2.0)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pytest) (21.0)
Collecting pluggy<2.0,>=0.12
  Using cached pluggy-1.0.0-py2.py3-none-any.whl (13 kB)
Requirement already satisfied: pyparsing>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->pytest) (3.0.1)
Installing collected packages: toml, py, pluggy, iniconfig, pytest
Successfully installed iniconfig-1.1.1 pluggy-1.0.0 py-1.10.0 pytest-6.2.5 toml-0.10.2
++++ which coverage
+++ export COVERAGE=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/coverage
+++ COVERAGE=/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/coverage
++ pip_install pylint
++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade pylint
Collecting pylint
  Using cached pylint-2.11.1-py3-none-any.whl (392 kB)
Collecting platformdirs>=2.2.0
  Using cached platformdirs-2.4.0-py3-none-any.whl (14 kB)
Collecting mccabe<0.7,>=0.6
  Using cached mccabe-0.6.1-py2.py3-none-any.whl (8.6 kB)
Collecting astroid<2.9,>=2.8.0
  Using cached astroid-2.8.4-py3-none-any.whl (246 kB)
Requirement already satisfied: toml>=0.7.1 in ./venv_jenkins/lib/python3.8/site-packages (from pylint) (0.10.2)
Collecting typing-extensions>=3.10.0
  Using cached typing_extensions-3.10.0.2-py3-none-any.whl (26 kB)
Collecting isort<6,>=4.2.5
  Using cached isort-5.9.3-py3-none-any.whl (106 kB)
Requirement already satisfied: setuptools>=20.0 in ./venv_jenkins/lib/python3.8/site-packages (from astroid<2.9,>=2.8.0->pylint) (44.0.0)
Collecting wrapt<1.14,>=1.11
  Using cached wrapt-1.13.2-cp38-cp38-manylinux2010_x86_64.whl (84 kB)
Collecting lazy-object-proxy>=1.4.0
  Using cached lazy_object_proxy-1.6.0-cp38-cp38-manylinux1_x86_64.whl (58 kB)
Installing collected packages: wrapt, typing-extensions, lazy-object-proxy, platformdirs, mccabe, isort, astroid, pylint
Successfully installed astroid-2.8.4 isort-5.9.3 lazy-object-proxy-1.6.0 mccabe-0.6.1 platformdirs-2.4.0 pylint-2.11.1 typing-extensions-3.10.0.2 wrapt-1.13.2
++ pip_install numpy
++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade numpy
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.8/site-packages (1.21.3)
++ pip_install scipy
++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade scipy
Collecting scipy
  Using cached scipy-1.7.1-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (28.4 MB)
Requirement already satisfied: numpy<1.23.0,>=1.16.5 in ./venv_jenkins/lib/python3.8/site-packages (from scipy) (1.21.3)
Installing collected packages: scipy
Successfully installed scipy-1.7.1
++ pip_install pint
++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install --upgrade pint
Collecting pint
  Using cached Pint-0.18-py2.py3-none-any.whl (209 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pint) (21.0)
Requirement already satisfied: pyparsing>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->pint) (3.0.1)
Installing collected packages: pint
Successfully installed pint-0.18
++ git clone --depth 1 https://github.com/convexengineering/gpkit.git /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit
Cloning into '/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit'...
++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install -v --no-cache-dir -e /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit
Using pip 21.3.1 from /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/lib/python3.8/site-packages/pip (python 3.8)
Obtaining file:///jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit
  Preparing metadata (setup.py): started
  Running command python setup.py egg_info
  running egg_info
  creating /tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info
  writing /tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/PKG-INFO
  writing dependency_links to /tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/dependency_links.txt
  writing requirements to /tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/requires.txt
  writing top-level names to /tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/top_level.txt
  writing manifest file '/tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/SOURCES.txt'
  reading manifest file '/tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/SOURCES.txt'
  writing manifest file '/tmp/pip-pip-egg-info-4s32qqkv/gpkit.egg-info/SOURCES.txt'
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: adce in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (1.3.3)
Requirement already satisfied: cvxopt>=1.1.8 in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (1.2.7)
Requirement already satisfied: matplotlib in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (3.4.3)
Requirement already satisfied: numpy>=1.16.4 in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (1.21.3)
Requirement already satisfied: pint>=0.8.1 in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (0.18)
Requirement already satisfied: plotly in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (5.3.1)
Requirement already satisfied: scipy in ./venv_jenkins/lib/python3.8/site-packages (from gpkit==1.0.0.3) (1.7.1)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pint>=0.8.1->gpkit==1.0.0.3) (21.0)
Requirement already satisfied: kiwisolver>=1.0.1 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit==1.0.0.3) (1.3.2)
Requirement already satisfied: cycler>=0.10 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit==1.0.0.3) (0.10.0)
Requirement already satisfied: pillow>=6.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit==1.0.0.3) (8.4.0)
Requirement already satisfied: pyparsing>=2.2.1 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit==1.0.0.3) (3.0.1)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit==1.0.0.3) (2.8.2)
Requirement already satisfied: six in ./venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit==1.0.0.3) (1.16.0)
Requirement already satisfied: tenacity>=6.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit==1.0.0.3) (8.0.1)
Installing collected packages: gpkit
  Running setup.py develop for gpkit
    Running command /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/python -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/setup.py'"'"'; __file__='"'"'/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' develop --no-deps
    running develop
    running egg_info
    creating gpkit.egg-info
    writing gpkit.egg-info/PKG-INFO
    writing dependency_links to gpkit.egg-info/dependency_links.txt
    writing requirements to gpkit.egg-info/requires.txt
    writing top-level names to gpkit.egg-info/top_level.txt
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    reading manifest file 'gpkit.egg-info/SOURCES.txt'
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    running build_ext
    Creating /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/lib/python3.8/site-packages/gpkit.egg-link (link to .)
    Adding gpkit 1.0.0.3 to easy-install.pth file

    Installed /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit
Successfully installed gpkit-1.0.0.3
++ python /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pip install -e /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/
Obtaining file:///jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in ./gpkit (from gpfit==0.2.0) (1.0.0.3)
Collecting matplotlib==3.3.2
  Using cached matplotlib-3.3.2-cp38-cp38-manylinux1_x86_64.whl (11.6 MB)
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.21.3)
Collecting pytest-mpl==0.13
  Using cached pytest_mpl-0.13-py3-none-any.whl (13 kB)
Requirement already satisfied: pytest==6.2.5 in ./venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (6.2.5)
Requirement already satisfied: scipy in ./venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.7.1)
Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.3 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib==3.3.2->gpfit==0.2.0) (3.0.1)
Requirement already satisfied: kiwisolver>=1.0.1 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib==3.3.2->gpfit==0.2.0) (1.3.2)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib==3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: cycler>=0.10 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib==3.3.2->gpfit==0.2.0) (0.10.0)
Requirement already satisfied: pillow>=6.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib==3.3.2->gpfit==0.2.0) (8.4.0)
Collecting certifi>=2020.06.20
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Requirement already satisfied: toml in ./venv_jenkins/lib/python3.8/site-packages (from pytest==6.2.5->gpfit==0.2.0) (0.10.2)
Requirement already satisfied: iniconfig in ./venv_jenkins/lib/python3.8/site-packages (from pytest==6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in ./venv_jenkins/lib/python3.8/site-packages (from pytest==6.2.5->gpfit==0.2.0) (1.10.0)
Requirement already satisfied: attrs>=19.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from pytest==6.2.5->gpfit==0.2.0) (21.2.0)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pytest==6.2.5->gpfit==0.2.0) (21.0)
Requirement already satisfied: pluggy<2.0,>=0.12 in ./venv_jenkins/lib/python3.8/site-packages (from pytest==6.2.5->gpfit==0.2.0) (1.0.0)
Requirement already satisfied: adce in ./venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.3)
Requirement already satisfied: cvxopt>=1.1.8 in ./venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.2.7)
Requirement already satisfied: pint>=0.8.1 in ./venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (0.18)
Requirement already satisfied: plotly in ./venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (5.3.1)
Requirement already satisfied: six in ./venv_jenkins/lib/python3.8/site-packages (from cycler>=0.10->matplotlib==3.3.2->gpfit==0.2.0) (1.16.0)
Requirement already satisfied: tenacity>=6.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.0.1)
Installing collected packages: certifi, matplotlib, pytest-mpl, gpfit
  Attempting uninstall: matplotlib
    Found existing installation: matplotlib 3.4.3
    Uninstalling matplotlib-3.4.3:
      Successfully uninstalled matplotlib-3.4.3
  Running setup.py develop for gpfit
Successfully installed certifi-2021.10.8 gpfit-0.2.0 matplotlib-3.3.2 pytest-mpl-0.13
++ source /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/JenkinsGPkit/print_versions.sh
+++ python -c 'import scipy; print(scipy.__version__)'
1.7.1
+++ python -c 'import numpy; print(numpy.__version__)'
1.21.3
+++ python -c 'import pint; print(pint.__version__)'
0.18
+++ python -c 'import gpkit; print(gpkit.settings)'
/bin/sh: 1: mskexpopt: not found
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/gpkit/small_scripts.py:71: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if sweep is "sweep" and (isinstance(value, Iterable) or  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/gpkit/nomials/math.py:586: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if posy is 0:  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/gpkit/nomials/math.py:590: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if negy is 0:  # pylint: disable=literal-comparison
........................................................................................................................................................................................./jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/gpkit/small_classes.py:152: VisibleDeprecationWarning: Creating an ndarray from ragged nested sequences (which is a list-or-tuple of lists-or-tuples-or ndarrays with different lengths or shapes) is deprecated. If you meant to do this, you must specify 'dtype=object' when creating the ndarray.
  v = np.array(v)
......../jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/gpkit/gpkit/small_classes.py:152: VisibleDeprecationWarning: Creating an ndarray from ragged nested sequences (which is a list-or-tuple of lists-or-tuples-or ndarrays with different lengths or shapes) is deprecated. If you meant to do this, you must specify 'dtype=object' when creating the ndarray.
  v = np.array(v)
...............
----------------------------------------------------------------------
Ran 208 tests in 4.560s

OK
Found no installed solvers, beginning a build.
# Building GPkit version 1.0.0
# Moving to the directory from which GPkit was imported.

Attempting to find and build solvers:

# Looking for `mosek_cli`
#   (A "success" is if mskexpopt complains that
#    we haven't specified a file for it to open.)
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Looks like `mskexpopt` was not found in the default PATH,
#  so let's try locating that binary ourselves.
#   Adding /home/jenkins/mosek/8/tools/platform/linux64x86/bin to the PATH
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##

Found mosek_cli in /home/jenkins/mosek/8/tools/platform/linux64x86/bin

# Looking for `mosek_conif`
#   Trying to import mosek...
# Did not find
# mosek_conif

# Looking for `cvxopt`
#   Trying to import cvxopt...

Found cvxopt in the default PYTHONPATH
Replaced found solvers (['mosek_cli', 'cvxopt']) with environment var GPKITSOLVERS (cvxopt)

Found the following solvers: cvxopt
#     Replacing directory env

GPkit is now installed with solver(s) ['cvxopt']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

{'installed_solvers': ['cvxopt'], 'mosek_bin_dir': '/home/jenkins/mosek/8/tools/platform/linux64x86/bin', 'default_solver': 'cvxopt', 'just built!': True}
+++ which pylint
++ echo /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pylint
/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/venv_jenkins/bin/pylint
++ /jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds/pylint.sh --reports=no
++ tee pylint.log

--------------------------------------------------------------------
Your code has been rated at 10.00/10 (previous run: 10.00/10, +0.00)


--------------------------------------------------------------------
Your code has been rated at 10.00/10 (previous run: 10.00/10, +0.00)

[Pylint] Sleeping for 5 seconds due to JENKINS-32191...
[Pylint] Parsing console log (workspace: '/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds')
[Pylint] -> found 0 issues (skipped 0 duplicates)
[Pylint] Parsing console log (workspace: '/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds')
[Pylint] -> found 0 issues (skipped 0 duplicates)
[Pylint] Successfully parsed console log
[Pylint] -> found 0 issues (skipped 0 duplicates)
[Pylint] Parsing console log (workspace: '/jenkins/workspace/CE_gpfit_PR_pylint/buildnode/reynolds')
[Pylint] Skipping post processing
[Pylint] No filter has been set, publishing all 0 issues
[Pylint] Repository miner is not configured, skipping repository mining
[Pylint] Reference build recorder is not configured
[Pylint] Obtaining reference build from same job (reynolds)
[Pylint] Using reference build 'CE_gpfit_PR_pylint/buildnode=reynolds #188' to compute new, fixed, and outstanding issues
[Pylint] Issues delta (vs. reference build): outstanding: 0, new: 0, fixed: 0
[Pylint] Evaluating quality gates
[Pylint] -> PASSED - Total (any severity): 0 - Quality QualityGate: 1
[Pylint] -> All quality gates have been passed
[Pylint] Health report is disabled - skipping
[Pylint] Created analysis result for 0 issues (found 0 new issues, fixed 0 issues)
[Pylint] Attaching ResultAction with ID 'pylint' to build 'CE_gpfit_PR_pylint/buildnode=reynolds #189'.
[Checks API] No suitable checks publisher found.
Finished: SUCCESS